# Flags (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: Flags

Package co.aikar.commands.annotation

# Annotation Type Flags

@Retention(RUNTIME) @Target({PARAMETER,ANNOTATION_TYPE}) public @interface Flags
Provides configuration options for `ContextResolver`'s to change how they resolve context. Example: Searching for a player, you might use @Flags("loose") to indicate a fuzzy match instead of an exact match. If you want to restrict if an issuer can use the command, please use `CommandConditions.Condition` instead.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value